#include "partition.h"
#include <iostream>
#define pb push_back
std::vector<int> solve(std::vector<int> A) {
    std::vector<int> rez;
    int N = A.size();
    int val = 0;
    if((N & 1)){
        val = 1;
    }
    for(int i = 0;i<N;i++){
        if((i & 1)){
            rez.pb((N - i + N - val) % N);
        }else{
            rez.pb(i); // cele impare raman pe aceeasi pozitie
        }
    }
    return {rez};
}
